<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Create Product</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="productForm" (ngSubmit)="onSubmit()">
    <ion-item>
      <ion-label position="floating">Nombre <strong class="required">*</strong></ion-label>
      <ion-input formControlName="name" type="text" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Descripción <strong class="required">*</strong></ion-label>
      <ion-textarea formControlName="description" placeholder="Escriba descripción del producto..." maxlength="250" required></ion-textarea>
    </ion-item>
    <ion-item>
      <ion-label>Cantidad <strong class="required">*</strong></ion-label>
      <ion-input formControlName="quantity" placeholder="" type="number" min="1" step="1" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Precio <strong class="required">*</strong></ion-label>
      <ion-input formControlName="price" placeholder="1.00 €" type="number" min="0" step="0.01" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Calificación <strong class="required">*</strong></ion-label>
      <ion-input formControlName="rating" placeholder="10/10" type="number" min="0" max="10" required></ion-input>
    </ion-item>
    <ion-button type="submit" expand="block" color="success"> <ion-icon name="add-outline"></ion-icon>Crear nuevo Producto</ion-button>
  </form>
</ion-content>